Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.framework
Interface Changeable

All Known Subinterfaces:
  Processor, Producer

All Known Implementing Classes:
  Page

public interface Changeable

This interface must be implemented by all those classes that represent a changeable point in the document processing chain. Each changeable point is then queried by the cache system to determine the validity of the cached respose.

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:22 $
Author:
  Stefano Mazzocchi

Method Summary
`boolean` | `hasChanged(java.lang.Object context)` Returns false if the requested resource hasn't changed, true otherwise.

Method Detail

### hasChanged

    public boolean hasChanged(java.lang.Object context)

  Returns false if the requested resource hasn't changed, true otherwise. This method is called by the cache system to ensure the validity of the cached response. It is the producer responsibility to provide the fastest possible implementation of this method or, whether this is not possible and the costs of the change evaluation is comparable to the production costs, to return true directly with no further delay, thus reducing the evaluation overhead to a minimum. This method is guaranteed to be called after at least a single call to any production methods getStream or getDocument. The context is the trigger of the changeable point and may differ between implementations.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.